<?php include ('../includes/header.php');?> 

<meta name="description" content="Ein responsives, barrierefreies, horizontales, sticky Dropdown-Menü" >
<title>RWD: Dropdown-Menü</title>


<!-- serverseitig alle CSS-files zusammenfassen und minimieren: -->
<link rel="stylesheet" type="text/css" href="../assets/css/css_comb.php" >


<style>
	/* hier seitenspezifische CSS-Anweisungen - immer Selector article verwenden! */
	article #anchor1, article #anchor2 {scroll-margin-top: 1em;}
	@media only screen and (min-width: 641px) {
		article #anchor1, article #anchor2 {scroll-margin-top: 2em;}
	}
	@media only screen and (min-width: 860px) and (max-width: 909px) {
		article #anchor1, article #anchor2 {scroll-margin-top: 5em;}
	}
	@media only screen and (min-width: 910px) {
		article #anchor1, article #anchor2 {scroll-margin-top: 4em;}
	}
	sub, sup {
		font-size: .8em ;
		line-height: 0;
		position: relative;
	}
	sup {
		bottom: 0.5em;
	}
	sub {
		bottom: -0.25em;
	}
	
</style>

</head>
<body>
<?php include ('../includes/navi.php'); ?>

<article>

<!-- #################### Beginn Inhalt ###################### -->

<h1>Ein responsives, barrierefreies, horizontales, sticky Dropdown-Menü</h1>

<h2 lang="en">Features:</h2>

<ul>
<li>Funktioniert mit allen modernen Browsern, sowie auf allen Smartphones und Tablets.</li>

<li><a href="https://validator.w3.org/nu/?doc=https%3A%2F%2Fwebdesign.weisshart.de%2Fmen2%2Fseiten%2Findex.php" target="_blank" title="HTML-Validierung dieser Website">Valides HTML</a>
	–
	<a href="https://jigsaw.w3.org/css-validator/validator?profile=css3&warning=0&uri=https%3A%2F%2Fwebdesign.weisshart.de%2Fmen2%2Fseiten%2Findex.php" target="_blank" title="CSS-Validierung dieser Website">Valides CSS</a></li>

<li>Unterstützt die Navigation mit der Tastatur (ohne Maus), sowie Screen Reader für sehbehinderte Menschen.&#x202f;<sup><a href="#anchor1">1)</a></sup>
	Vielleicht das beste Dropdown-Menü für Tastaturnutzer?</li>	
<li>Eine eventuell gewünschte dritte Navigationsebene wird nicht als weiteres Dropdown bzw. Flyout dargestellt, sondern als zusätzliche Listenebene innerhalb des Dropdown-Panels. Dadurch wird das lästige Usability-Problem vermieden, wenn man mit der Maus versehentlich die Fläche des Dropdowns&#x202f;/&#x202f;Flyouts verlässt, und dadurch das Dropdown&#x202f;/&#x202f;Flyout unabsichtlich zuklappt.</li>
<li>Untermenüs öffnen sich wahlweise (konfigurierbar) auf Mausklick oder beim Überfahren (hover) mit der Maus. Ich bevorzuge Ersteres.</li>
<li>Aus Usability-Gründen wird darauf verzichtet, Items im Hauptmenü, die ein Submenü öffnen, auch gleichzeitig zu verlinken.</li>
<li>Mobil: Umfangreiche Untermenüs werden in einem scrollbaren Feld gezeigt.</li>
<li>Menüeinträge können beliebig lang sein, und werden bei Bedarf umgebrochen.</li>
<li>Bei sehr schmalem Viewport werden zu lange Einträge in der Hauptnavigation gekürzt und mit schließendem … (3&nbsp;Punkte&#x202f;/&#x202f;Ellipsis) dargestellt.</li>
<li>Farben, Schriften usw. können per CSS individuell angepasst werden.&#x202f;<sup><a href="#anchor2">2)</a></sup></li>
</ul>


<h2>Anmerkungen</h2>

<h3 id="anchor1" tabindex="-1">1) Tastaturnutzung</h3>
<p>Mit der Tabulatortaste den Tab-Fokus auf einen der Top-Level-Menüpunkte setzen.</p> 
<p>Wenn einer der Menüpunkte fokussiert ist (angezeigt durch ein nach rechts zeigendes Dreieck), wird durch Drücken der Enter-Taste, der Leertaste oder des Pfeils nach unten das Untermenü geöffnet, und durch Drücken der Pfeiltaste nach links oder rechts wird der Fokus auf den benachbarten Menüpunkt verschoben. </p>
<p>Links innerhalb der Untermenü-Panels sind in der Tabulatorfolge enthalten, wenn das Panel geöffnet ist. Sie können auch mit den Pfeiltasten oder durch Eingabe des ersten Zeichens im Linknamen navigiert werden, was die Tastaturnavigation erheblich beschleunigt. </p>
<p>Durch Drücken der Escape-Taste oder durch die Pfeiltasten rechts&#x202f;/&#x202f;links wird das Untermenü geschlossen und der Fokus auf die Hauptnavigation wiederhergestellt.</p>
	
<h3 id="anchor2" tabindex="-1">2) Anpassungen</h3>
<p>Das Design lässt sich in der Datei /assets/css/style_page.css und /assets/css/style_navi.css  individuell anpassen.</p>
<p>Recht einfach ist die Änderung von Farben. Die entsprechenden Stellen sind ausreichend kommentiert.</p>
<p>Ebenfalls unkritisch sind Schriften, sofern bei font-size nicht übertrieben wird.</p>
<p>Alle anderen Änderungen, insbes. Abmessungen wie width, margin, padding usw. erfordern brauchbare Kenntnisse in CSS, und müssen stets sorgfältig in allen Browsern sowie in mobilen Geräten getestet werden.</p>
<p>Installationshinweise in der Datei readme.txt (Link im Menü)</p>
	
<h3>Test der Navigation in der Demo</h3>	
<p>Die Funktion der Navigation lässt sich testen mit der einzigen verlinkten Seite: Texte > Demo-Seite.
	<br>Alle anderen Links in der Demo sind inaktiv.</p>
	

<p style="margin-bottom:0;clear:left"><a  class="noverweis" rel="license noreferrer" href="https://creativecommons.org/licenses/by-sa/4.0/deed.de"><img alt="Creative Commons Lizenzvertrag" style="border-width:0; margin-top:2em" src="<?php echo $cc_40; ?>" width="88" height="31" ><span class="small" style="display:block;margin-top: 0">CC BY-SA 4.0 DE</span></a></p>
	
	
<p  class="small" style="margin-top: 0">jQuery-Plugin von <a href="https://github.com/adobe-accessibility">Adobe Accessibility</a> unter <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache License 2.0</a></p>


<!-- #################### Ende Inhalt ###################### -->
</article>

<?php include ('../includes/fussleiste.php'); ?>
<!-- Serverseitig alle Scripts zusammenfassen -->
<script src="../assets/js/js_comb.php"></script>


</body>
</html>